<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/SampleApp/src Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_69fa8d0f4fee2820ffc8601fbf428b42.html">SampleApp</a></li><li class="navelem"><a class="el" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">src Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Directory dependency graph for src:</div>
<div class="dyncontent">
<div class="center"><img src="dir_61b1a6e3bf15e9a2bd54138c91885410_dep.png" border="0" usemap="#dir__61b1a6e3bf15e9a2bd54138c91885410__dep" alt="/workplace/avs-device-sdk/SampleApp/src"/></div>
<map name="dir__61b1a6e3bf15e9a2bd54138c91885410__dep" id="dir__61b1a6e3bf15e9a2bd54138c91885410__dep">
<area shape="rect" id="node1" href="dir_61b1a6e3bf15e9a2bd54138c91885410.html" title="src" alt="" coords="561,51,633,99"/>
<area shape="rect" id="node2" href="dir_748b5abbb33df61eda67007924a1a0cb.html" title="ApplicationUtilities" alt="" coords="686,147,815,195"/>
<area shape="rect" id="edge1-headlabel" href="dir_000285_000026.html" title="1" alt="" coords="697,123,704,136"/>
<area shape="rect" id="node3" href="dir_7cf910bd1d7603f12ef47ff650cec893.html" title="CapabilityAgents" alt="" coords="891,243,1012,291"/>
<area shape="rect" id="edge2-headlabel" href="dir_000285_000049.html" title="4" alt="" coords="924,217,931,230"/>
<area shape="rect" id="node4" href="dir_ed284a04dd0d49c135ac897057737ac2.html" title="ContextManager" alt="" coords="46,147,166,195"/>
<area shape="rect" id="edge3-headlabel" href="dir_000285_000217.html" title="1" alt="" coords="182,148,190,162"/>
<area shape="rect" id="node5" href="dir_db613c36c14f3946188c6043fb421073.html" title="include" alt="" coords="868,51,940,99"/>
<area shape="rect" id="edge4-headlabel" href="dir_000285_000283.html" title="24" alt="" coords="842,60,857,73"/>
<area shape="rect" id="node6" href="dir_63c328d9f040c398ed3a99417a38689e.html" title="EqualizerImplementations" alt="" coords="743,339,918,387"/>
<area shape="rect" id="edge5-headlabel" href="dir_000285_000222.html" title="4" alt="" coords="794,313,801,326"/>
<area shape="rect" id="node7" href="dir_cb95416188067ed3b93365313f46b1cf.html" title="Authorization" alt="" coords="194,243,293,291"/>
<area shape="rect" id="edge6-headlabel" href="dir_000285_000278.html" title="2" alt="" coords="261,222,269,235"/>
<area shape="rect" id="node8" href="dir_d29c5f5a2915d6c5388c9daae4f109c7.html" title="Storage" alt="" coords="596,435,668,483"/>
<area shape="rect" id="edge7-headlabel" href="dir_000285_000303.html" title="1" alt="" coords="576,432,583,446"/>
<area shape="rect" id="node9" href="dir_8ae0dd75af039a94f4269584fb8eef13.html" title="Settings" alt="" coords="1044,339,1116,387"/>
<area shape="rect" id="edge8-headlabel" href="dir_000285_000286.html" title="2" alt="" coords="1087,314,1094,327"/>
<area shape="rect" id="node10" href="dir_b1dfedc9efa610ba8c818c30206ff41f.html" title="ACL" alt="" coords="596,339,668,387"/>
<area shape="rect" id="edge9-headlabel" href="dir_000285_000000.html" title="2" alt="" coords="631,313,639,326"/>
<area shape="rect" id="node11" href="dir_13e65effb2bde530b17b3d5eefcd0266.html" title="AVSCommon" alt="" coords="581,531,682,579"/>
<area shape="rect" id="edge10-headlabel" href="dir_000285_000015.html" title="19" alt="" coords="556,533,571,546"/>
<area shape="rect" id="node12" href="dir_b14333b5607b47fe7356eaa790107bd3.html" title="RegistrationManager" alt="" coords="427,339,572,387"/>
<area shape="rect" id="edge11-headlabel" href="dir_000285_000272.html" title="1" alt="" coords="410,323,418,336"/>
<area shape="rect" id="node13" href="dir_7a19204e801bd10641b7443f97134f98.html" title="ESP" alt="" coords="1042,147,1114,195"/>
<area shape="rect" id="edge12-headlabel" href="dir_000285_000227.html" title="2" alt="" coords="1023,143,1030,156"/>
<area shape="rect" id="node14" href="dir_924a657fe36215a0159270de1b610651.html" title="CapabilitiesDelegate" alt="" coords="368,243,511,291"/>
<area shape="rect" id="edge13-headlabel" href="dir_000285_000127.html" title="1" alt="" coords="466,225,474,238"/>
<area shape="rect" id="edge14-headlabel" href="dir_000026_000049.html" title="29" alt="" coords="881,221,896,234"/>
<area shape="rect" id="edge15-headlabel" href="dir_000026_000222.html" title="1" alt="" coords="839,314,846,327"/>
<area shape="rect" id="edge16-headlabel" href="dir_000026_000286.html" title="2" alt="" coords="1075,312,1083,326"/>
<area shape="rect" id="edge17-headlabel" href="dir_000026_000000.html" title="4" alt="" coords="660,321,667,334"/>
<area shape="rect" id="edge18-headlabel" href="dir_000026_000015.html" title="51" alt="" coords="661,514,676,527"/>
<area shape="rect" id="edge19-headlabel" href="dir_000026_000272.html" title="1" alt="" coords="547,328,554,341"/>
<area shape="rect" id="edge20-headlabel" href="dir_000049_000222.html" title="1" alt="" coords="877,327,884,340"/>
<area shape="rect" id="edge21-headlabel" href="dir_000049_000303.html" title="12" alt="" coords="679,454,694,468"/>
<area shape="rect" id="edge22-headlabel" href="dir_000049_000286.html" title="13" alt="" coords="1031,314,1045,327"/>
<area shape="rect" id="edge23-headlabel" href="dir_000049_000000.html" title="1" alt="" coords="684,348,692,361"/>
<area shape="rect" id="edge24-headlabel" href="dir_000049_000015.html" title="494" alt="" coords="691,543,713,557"/>
<area shape="rect" id="edge25-headlabel" href="dir_000049_000272.html" title="12" alt="" coords="585,339,599,352"/>
<area shape="rect" id="edge26-headlabel" href="dir_000217_000015.html" title="7" alt="" coords="561,528,568,542"/>
<area shape="rect" id="edge27-headlabel" href="dir_000283_000026.html" title="5" alt="" coords="805,137,813,151"/>
<area shape="rect" id="edge28-headlabel" href="dir_000283_000049.html" title="1" alt="" coords="946,216,953,229"/>
<area shape="rect" id="edge29-headlabel" href="dir_000283_000278.html" title="1" alt="" coords="310,240,317,254"/>
<area shape="rect" id="edge30-headlabel" href="dir_000283_000286.html" title="2" alt="" coords="1109,321,1116,334"/>
<area shape="rect" id="edge31-headlabel" href="dir_000283_000015.html" title="23" alt="" coords="694,550,709,564"/>
<area shape="rect" id="edge32-headlabel" href="dir_000283_000272.html" title="3" alt="" coords="588,333,596,347"/>
<area shape="rect" id="edge33-headlabel" href="dir_000283_000227.html" title="2" alt="" coords="1027,128,1034,141"/>
<area shape="rect" id="edge34-headlabel" href="dir_000283_000127.html" title="1" alt="" coords="497,234,505,248"/>
<area shape="rect" id="edge38-headlabel" href="dir_000222_000015.html" title="34" alt="" coords="678,520,693,533"/>
<area shape="rect" id="edge35-headlabel" href="dir_000278_000303.html" title="3" alt="" coords="576,432,584,445"/>
<area shape="rect" id="edge36-headlabel" href="dir_000278_000015.html" title="18" alt="" coords="559,522,574,535"/>
<area shape="rect" id="edge37-headlabel" href="dir_000278_000272.html" title="1" alt="" coords="418,318,425,331"/>
<area shape="rect" id="edge39-headlabel" href="dir_000303_000015.html" title="13" alt="" coords="633,505,648,519"/>
<area shape="rect" id="edge40-headlabel" href="dir_000286_000303.html" title="1" alt="" coords="683,449,691,463"/>
<area shape="rect" id="edge41-headlabel" href="dir_000286_000015.html" title="11" alt="" coords="694,551,708,565"/>
<area shape="rect" id="edge42-headlabel" href="dir_000000_000015.html" title="97" alt="" coords="599,504,614,518"/>
<area shape="rect" id="edge43-headlabel" href="dir_000272_000015.html" title="9" alt="" coords="603,504,610,518"/>
<area shape="rect" id="edge44-headlabel" href="dir_000227_000049.html" title="6" alt="" coords="999,232,1007,245"/>
<area shape="rect" id="edge45-headlabel" href="dir_000227_000015.html" title="4" alt="" coords="697,551,705,565"/>
<area shape="rect" id="edge46-headlabel" href="dir_000127_000000.html" title="1" alt="" coords="579,322,587,336"/>
<area shape="rect" id="edge47-headlabel" href="dir_000127_000015.html" title="30" alt="" coords="561,510,576,523"/>
<area shape="rect" id="edge48-headlabel" href="dir_000127_000272.html" title="2" alt="" coords="478,312,486,325"/>
<area shape="rect" id="clust1" href="dir_69fa8d0f4fee2820ffc8601fbf428b42.html" title="SampleApp" alt="" coords="550,16,644,109"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:_connection_observer_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_connection_observer_8cpp.html">ConnectionObserver.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_console_printer_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_console_printer_8cpp.html">ConsolePrinter.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_console_reader_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_console_reader_8cpp.html">ConsoleReader.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_gui_renderer_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_gui_renderer_8cpp.html">GuiRenderer.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_interaction_manager_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_interaction_manager_8cpp.html">InteractionManager.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_keyword_observer_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_keyword_observer_8cpp.html">KeywordObserver.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:main_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8cpp.html">main.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_port_audio_microphone_wrapper_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_port_audio_microphone_wrapper_8cpp.html">PortAudioMicrophoneWrapper.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_revoke_authorization_observer_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_revoke_authorization_observer_8cpp.html">RevokeAuthorizationObserver.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_sample_application_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_sample_application_8cpp.html">SampleApplication.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_sample_equalizer_mode_controller_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_sample_equalizer_mode_controller_8cpp.html">SampleEqualizerModeController.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_u_i_manager_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_u_i_manager_8cpp.html">UIManager.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_user_input_manager_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_user_input_manager_8cpp.html">UserInputManager.cpp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
